{pkgs, ...}: let
  nvim = pkgs.stdenv.mkDerivation {
    name = "nvim";
    src = pkgs.fetchFromGitea {
      domain = "git.broccoli.town";
      owner = "dp";
      repo = "nvim";
      rev = "c25c1db32f9a6e441e142553cc7a4774e3293c64";
      hash = "sha256-dxFHAO1f9AL95llgi1b+A0Is9BXemq/7Ab6mFj/XcM0=";
    };

    installPhase = ''
      mkdir -p $out
      cp -r * $out/
      rm $out/lazy-lock.json
    '';
  };
in {
  programs.neovim.enable = true;
}
